import { PureComponent } from "react";
import { SoftWidgetSpent_DataInterface } from "../../interfaces/SoftWidgetSpent_DataInterface";
export declare class SoftWidgetSpent extends PureComponent<{
    title: string;
    currency: string;
    data: SoftWidgetSpent_DataInterface[];
    footer: {
        title: string;
    };
}> {
    private chartRef;
    constructor(props: any);
    componentDidMount(): void;
    readonly footer: number;
    render(): JSX.Element;
}
